<?php
require_once("plugins/tuidd/libs/tuidd_lib/client/TuiddClient.php");
require_once("plugins/tuidd/libs/tuidd_lib/client/TuiddServicesClient.php");

$sess_ = TuiddClient::blockStart('sdk-session');
TuiddClient::getSingleton()->isLoggedIn($sess_);

// get user information
$userInfo = TuiddClient::getSingleton()->getUserInfo();
$sc = TuiddServicesClient::getSingleton();

// var_dump($userInfo);
// print user information...
echo '<div class="user-name-cls"> Hello <strong>';
if ($userInfo['nickname'])
    echo $userInfo['nickname'];
else if ($userInfo['name'])
    echo $userInfo['name'];
else 
    echo $userInfo['given_name']." ".$userInfo['family_name'];
echo '</strong></div>';

echo '<div class="pcr-cls"> Your ID is: ';
echo $userInfo['sub'];
echo '</div>';

echo '<div class="user-name-cls"> Your email is: ';
echo $userInfo['email'];
echo '</div>'; 

if (isset($_GET['encuesta'] ))
	{
        $service_id = $_GET['encuesta'];

        $token = TuiddClient::getSingleton()->getSurveyServiceToken();		
        $authInfo = array(
            'service_token' => $token->token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        ); 
        $extraParams['display'] = 'push';
        $serviceResult = $sc->sendSurvey( $service_id, $authInfo, $extraParams );
	
        var_dump($serviceResult);
    }

	// TuiddClient::getSingleton()->getAccessToken();
	// TuiddClient::getSingleton()->getAdvertisingServiceToken();
	// TuiddClient::getSingleton()->getNotificationServiceToken();
	// TuiddClient::getSingleton()->getSurveyServiceToken();

TuiddClient::blockEnd($sess_);
//tuidd_block_end( $sess_ );
?>
