<?php
	require_once('tuidd/libs/tuidd_lib/client/TuiddClient.php');
	
	function myCallbackFunction ( $notification )
	{
      // my callback code ...
		switch ($notification['service_type'])
		{
			case 'authentication':
			// get user information...
				$userInfo = $notification['notification_data'];
				// print user information...

				// echo '<div class=”user-name-cls”> Hello ';
				// echo $userInfo['user_info']['name'].“ ”.$userInfo['user_info']['family_name'];
				// echo '</div>';

				// echo '<div class=”pcr-cls”> Your ID/:';
				// echo $userInfo['user_info']['sub'];
				// echo '</div>';

				// echo '<div class=”user-name-cls”> Your email is: ';
				// echo $userInfo['user_info']['email'];
				// echo '</div>';

				break;
		}
	}


	function servicesCallbackFunction ( $notification )
	{
      	syslog (LOG_INFO, "*** Notif FUNCTION :: " . print_r($notification,true) );
	}

   /**
    * Funcion que se utiliza para calcular la IP del usuario
    * @return string IP
    */
    function get_client_ip()
    {
        $ipaddress = '';
        if (isset($_SERVER['HTTP_CLIENT_IP']))
            $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
        else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
        else if(isset($_SERVER['HTTP_X_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
        else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
        else if(isset($_SERVER['HTTP_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_FORWARDED'];
        else if(isset($_SERVER['REMOTE_ADDR']))
            $ipaddress = $_SERVER['REMOTE_ADDR'];
        else
            $ipaddress = 'UNKNOWN';
        return $ipaddress;
    }

	function stateNonceCallbackFunction()
	{
      	$tuidd = TuiddClient::getSingleton();

		$timestamp = time();
      	$state = hash('sha256', $tuidd->getClientID() . $timestamp);
		$tuidd->setState( $state );

        $nonce = hash('sha256', get_client_ip() . $timestamp);
        $tuidd->setNonce( $nonce );

        syslog (LOG_INFO, "*** CF STATE-NONCE :: " . print_r($tuidd,true) );
	}
?>