<?php

require_once("plugins/tuidd/libs/tuidd_lib/client/TuiddClient.php");
require_once("plugins/tuidd/libs/tuidd_lib/client/TuiddServicesClient.php");

//$sess_ = tuidd_block_start('sdk-session');

$sess_ = TuiddClient::blockStart('sdk-session');
TuiddClient::getSingleton()->isLoggedIn($sess_);

// get user information
$sc =  TuiddServicesClient::getSingleton();
var_dump( $_GET['publicidad'] );

if (isset($_GET['publicidad'] ))
{
    $service_id = $_GET['publicidad'];

    $userInfo = TuiddClient::getSingleton()->getUserInfo();
    $token = TuiddClient::getSingleton()->getSurveyServiceToken();		
    $authInfo = array(
        'service_token' => $token->token,
        'login_hint' => 'PCR:'. $userInfo['sub'],
    ); 
    $extraParams['display'] = 'push';
    $redirect_link = 'url_link';

    if ($service_id == 'any')
    {
        $serviceResult = $sc->sendAdvertisement( NULL, $authInfo, $extraParams );
    }
    else
    {
        $source = 'service_id';
        $serviceResult = $sc->sendAdvertisement( $service_id, $authInfo, null, null, null, null, $redirect_link, $source, $extraParams );
    }
}

TuiddClient::blockEnd($sess_);
var_dump( $serviceResult );
//tuidd_block_end( $sess_ );
?>
